#pragma once
#include <luna/Result.h>
#include <luna/String.h>
#include <sys/types.h>

namespace os
{
    class Process
    {
      public:
        static Result<pid_t> fork();

        static Result<void> exec(StringView path, Slice<String> args, bool search_in_path = true);
    };
}
